/*
 Navicat Premium Data Transfer

 Source Server         : ubuntu
 Source Server Type    : SQL Server
 Source Server Version : 14003485
 Source Host           : 192.168.1.2:1433
 Source Catalog        : wgcat
 Source Schema         : dbo

 Target Server Type    : SQL Server
 Target Server Version : 14003485
 File Encoding         : 65001

 Date: 26/02/2025 17:01:42
*/


-- ----------------------------
-- Table structure for account_info
-- ----------------------------
CREATE TABLE [ACCOUNT_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [EMAIL] nvarchar(200) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [PASSWD] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCOUNT_KEY] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [REMARK] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [MENU_IDS] nvarchar(200) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [STATE] nvarchar(1) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCOUNT_ROLE] nvarchar(10) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [REAL_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [DEPT_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL
)
GO

ALTER TABLE [ACCOUNT_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for equipment
-- ----------------------------
CREATE TABLE [EQUIPMENT] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [EQ_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [XINGHAO] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [PERSON] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [DEPT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CODE] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [PRICE] float(53)  NULL,
  [GONGYINGSHANG] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CAIGOU_DATE] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [WEIBAO_DATE] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [REMARK] nvarchar(255) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL,
  [ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [GROUP_ID] nvarchar(500) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL
)
GO

ALTER TABLE [EQUIPMENT] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for host_group
-- ----------------------------
CREATE TABLE [HOST_GROUP] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [GROUP_NAME] nvarchar(30) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL,
  [REMARK] nvarchar(255) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [GROUP_TYPE] nvarchar(5) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL
)
GO

ALTER TABLE [HOST_GROUP] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for log_info
-- ----------------------------
CREATE TABLE [LOG_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [HOST_NAME] nvarchar(200) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [INFO_CONTENT] nvarchar(max) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [STATE] nvarchar(1) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NOT NULL
)
GO

ALTER TABLE [LOG_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for mail_set
-- ----------------------------
CREATE TABLE [MAIL_SET] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [SEND_MAIL] nvarchar(60) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [FROM_MAIL_NAME] nvarchar(60) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [FROM_PWD] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [SMTP_HOST] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [SMTP_PORT] nvarchar(30) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [SMTP_SSL] nvarchar(30) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [TO_MAIL] nvarchar(300) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CPU_PER] nvarchar(30) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL,
  [ACTIVE] nvarchar(10) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [JAVAX_MAIL] nvarchar(10) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL
)
GO

ALTER TABLE [MAIL_SET] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for passwd_info
-- ----------------------------
CREATE TABLE [PASSWD_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [HOST_NAME] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [HOST_ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [HOST_PASSWD] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [HOST_REMARK] nvarchar(300) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [GROUP_ID] nvarchar(500) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [HOST_MARK] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL
)
GO

ALTER TABLE [PASSWD_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for shell_note_info
-- ----------------------------
CREATE TABLE [SHELL_NOTE_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [SHELL_TITLE] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [SHELL_CONTENT] nvarchar(max) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL
)
GO

ALTER TABLE [SHELL_NOTE_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for work_file_info
-- ----------------------------
CREATE TABLE [WORK_FILE_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [WORK_INFO_ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [FILE_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [FILE_PATH] nvarchar(150) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [FILE_SIZE] nvarchar(20) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL
)
GO

ALTER TABLE [WORK_FILE_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for work_handle_info
-- ----------------------------
CREATE TABLE [WORK_HANDLE_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [WORK_INFO_ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [WORK_CONTENT] nvarchar(2000) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [STATE] nvarchar(1) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCEPT_ACCOUNT_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [HANDLE_ACCOUNT_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [CREATE_TIME] datetime2(0)  NULL
)
GO

ALTER TABLE [WORK_HANDLE_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for work_info
-- ----------------------------
CREATE TABLE [WORK_INFO] (
  [ID] nvarchar(32) COLLATE SQL_Latin1_General_CP1_CI_AS  NOT NULL,
  [WORK_TITLE] nvarchar(100) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [WORK_CONTENT] nvarchar(3000) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [STATE] nvarchar(1) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [WORK_TYPE] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ADD_ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ADD_ACCOUNT_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCEPT_ACCOUNT] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [ACCEPT_ACCOUNT_NAME] nvarchar(50) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [GROUP_ID] nvarchar(500) COLLATE SQL_Latin1_General_CP1_CI_AS  NULL,
  [WORK_CODE] int  NULL,
  [UPDATE_TIME] datetime2(0)  NULL,
  [CREATE_TIME] datetime2(0)  NULL
)
GO

ALTER TABLE [WORK_INFO] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Primary Key structure for table account_info
-- ----------------------------
ALTER TABLE [ACCOUNT_INFO] ADD CONSTRAINT [PK__account___3214EC270A63779F] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table equipment
-- ----------------------------
ALTER TABLE [EQUIPMENT] ADD CONSTRAINT [PK__equipmen__3214EC2702C62016] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table host_group
-- ----------------------------
ALTER TABLE [HOST_GROUP] ADD CONSTRAINT [PK__host_gro__3214EC27325B64C9] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table log_info
-- ----------------------------
ALTER TABLE [LOG_INFO] ADD CONSTRAINT [PK__log_info__3214EC2708019F10] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table mail_set
-- ----------------------------
ALTER TABLE [MAIL_SET] ADD CONSTRAINT [PK__mail_set__3214EC272F6A3933] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table passwd_info
-- ----------------------------
ALTER TABLE [PASSWD_INFO] ADD CONSTRAINT [PK__passwd_i__3214EC2766DDCE02] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table shell_note_info
-- ----------------------------
ALTER TABLE [SHELL_NOTE_INFO] ADD CONSTRAINT [PK__shell_no__3214EC272AB3AB90] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table work_file_info
-- ----------------------------
ALTER TABLE [WORK_FILE_INFO] ADD CONSTRAINT [PK__work_fil__3214EC275B18A49B] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table work_handle_info
-- ----------------------------
ALTER TABLE [WORK_HANDLE_INFO] ADD CONSTRAINT [PK__work_han__3214EC271E43CCB3] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table work_info
-- ----------------------------
ALTER TABLE [WORK_INFO] ADD CONSTRAINT [PK__work_inf__3214EC272F6E9B4F] PRIMARY KEY CLUSTERED ([ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO

